package com.audio.record.screen.test.service

import android.content.Context
import android.content.Intent
import android.graphics.Bitmap
import com.audio.record.screen.test.activity.ScreenPermissionActivity
import com.audio.record.screen.test.activity.ScreenshotAnimActivity
import com.audio.record.screen.test.tool.Common

object ScreenshotAnimExecutor {
    var latestBitmap: Bitmap? = null


    fun show(context: Context, bitmap: Bitmap) {
        latestBitmap = bitmap
        Common.showLog("-----show-------------")
        val intent = Intent(context, ScreenshotAnimActivity::class.java)
        intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
        context.startActivity(intent)
    }
}